Bug 119025 - top sums idle% across processors
Summary: top sums idle% across processors
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-23 23:08 UTC by bill parducci
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 02:30:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bill parducci 2004-03-23 23:08:27 UTC
Description of problem:
just ran top on my quad processor box and noticed that CPU usage is
332% idle? (kinda sounds like my old high school PE teacher giving a
pep talk :o)

shouldn't this number be some sort of average (or skip the aggregation
altogether)?

cpu     user    nice  system    irq  softirq  iowait    idle
total   32.0%    0.0%   34.8%   0.0%     0.0%    0.0%  332.8%
cpu00    9.3%    0.0%   13.5%   0.0%     0.0%    0.0%   77.1%
cpu01    8.7%    0.0%    8.7%   0.0%     0.0%    0.0%   82.5%
cpu02    9.7%    0.0%    7.3%   0.0%     0.0%    0.0%   82.9%
cpu03    4.1%    0.0%    5.3%   0.0%     0.0%    0.0%   90.4%

Version-Release number of selected component (if applicable):
procps-2.0.17-5

How reproducible:
Always

Steps to Reproduce:
1. run top on a box with >1 processors
2.
3.
    

Additional info:

Comment 1 Daniel Walsh 2004-03-25 02:30:50 UTC
Please try procps-3.1.15 in Rawhide.



Note You need to log in before you can comment on or make changes to this bug.